# LUF Struct Reference

`#include <glpluf.h>`

List of all members.

## Public Attributes
int | n
int | valid
int * | fr_ptr
int * | fr_len
int * | fc_ptr
int * | fc_len
int * | vr_ptr
int * | vr_len
int * | vr_cap
double * | vr_piv
int * | vc_ptr
int * | vc_len
int * | vc_cap
int * | pp_row
int * | pp_col
int * | qq_row
int * | qq_col
int | sv_size
int | sv_beg
int | sv_end
int * | sv_ndx
double * | sv_val
int | sv_head
int | sv_tail
int * | sv_prev
int * | sv_next
int * | flag
double * | work
int | new_sva
double | piv_tol
int | piv_lim
int | suhl
double | eps_tol
double | max_gro
int | nnz_a
int | nnz_f
int | nnz_v
double | max_a
double | big_v
int | rank

## Detailed Description

Definition at line 83 of file glpluf.h.

## Member Data Documentation

int LUF::n

Definition at line 85 of file glpluf.h.

int LUF::valid

Definition at line 87 of file glpluf.h.

int* LUF::fr_ptr

Definition at line 91 of file glpluf.h.

int* LUF::fr_len

Definition at line 95 of file glpluf.h.

int* LUF::fc_ptr

Definition at line 101 of file glpluf.h.

int* LUF::fc_len

Definition at line 105 of file glpluf.h.

int* LUF::vr_ptr

Definition at line 111 of file glpluf.h.

int* LUF::vr_len

Definition at line 115 of file glpluf.h.

int* LUF::vr_cap

Definition at line 119 of file glpluf.h.

double* LUF::vr_piv

Definition at line 124 of file glpluf.h.

int* LUF::vc_ptr

Definition at line 130 of file glpluf.h.

int* LUF::vc_len

Definition at line 134 of file glpluf.h.

int* LUF::vc_cap

Definition at line 138 of file glpluf.h.

int* LUF::pp_row

Definition at line 145 of file glpluf.h.

int* LUF::pp_col

Definition at line 147 of file glpluf.h.

int* LUF::qq_row

Definition at line 155 of file glpluf.h.

int* LUF::qq_col

Definition at line 157 of file glpluf.h.

int LUF::sv_size

Definition at line 174 of file glpluf.h.

int LUF::sv_beg

Definition at line 179 of file glpluf.h.

int LUF::sv_end

Definition at line 179 of file glpluf.h.

int* LUF::sv_ndx

Definition at line 186 of file glpluf.h.

double* LUF::sv_val

Definition at line 190 of file glpluf.h.

int LUF::sv_head

Definition at line 200 of file glpluf.h.

int LUF::sv_tail

Definition at line 202 of file glpluf.h.

int* LUF::sv_prev

Definition at line 204 of file glpluf.h.

int* LUF::sv_next

Definition at line 207 of file glpluf.h.

int* LUF::flag

Definition at line 212 of file glpluf.h.

double* LUF::work

Definition at line 214 of file glpluf.h.

int LUF::new_sva

Definition at line 218 of file glpluf.h.

double LUF::piv_tol

Definition at line 221 of file glpluf.h.

int LUF::piv_lim

Definition at line 229 of file glpluf.h.

int LUF::suhl

Definition at line 233 of file glpluf.h.

double LUF::eps_tol

Definition at line 241 of file glpluf.h.

double LUF::max_gro

Definition at line 244 of file glpluf.h.

int LUF::nnz_a

Definition at line 252 of file glpluf.h.

int LUF::nnz_f

Definition at line 254 of file glpluf.h.

int LUF::nnz_v

Definition at line 257 of file glpluf.h.

double LUF::max_a

Definition at line 261 of file glpluf.h.

double LUF::big_v

Definition at line 263 of file glpluf.h.

int LUF::rank

Definition at line 266 of file glpluf.h.

The documentation for this struct was generated from the following file:

- /home/coin/svn-release/DyLP-1.9.5/DyLP/src/Dylp/glpluf.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines